[![Build Status](https://travis-ci.org/capitalone/Hygieia.svg?branch=master)](https://travis-ci.org/capitalone/Hygieia)
[![Codacy Badge](https://api.codacy.com/project/badge/grade/de1a2a557f8e458e9a959be8c2e7fcba)](https://www.codacy.com/app/amit-mawkin/Hygieia)
[![Maven Central](https://img.shields.io/maven-central/v/com.capitalone.dashboard/Hygieia.svg)](http://search.maven.org/#search%7Cga%7C1%7Ccapitalone)
[![License](https://img.shields.io/badge/license-Apache%202-blue.svg)](https://www.apache.org/licenses/LICENSE-2.0)
[![Join the chat at https://gitter.im/capitalone/Hygieia](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/capitalone/Hygieia?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

<img width="600" src="/UI/src/assets/img/hygieia_b.png">
--------------------

<a href="https://info.blackducksoftware.com/OpenSourceRookies2015.html" ><img src="/media/images/Rookies_Award_Badge.png" width="150" alt="Hygieia℠ is now BlackDuck 2015 OpenSource Rookie of the year"></a>

### What is Hygieia℠

#####Pronunciation:      hi-gee-ya (origin Greek)
Hygieia℠ is a single, configurable, easy to use dashboard to visualize near real-time status of the entire delivery pipeline.

Please view a video below to see Hygieia℠ in action

 [![Hygieia℠ Is AWESOME](/media/images/video-shot.png)](https://www.youtube.com/watch?v=SoNTA78j0tc "Hygieia Is AWESOME")

We use tools for everything today and each tool has its own unique dashboard to present information. What is lacking is a near real time consolidated view of the end-to-end delivery pipeline.  This view and a continuous feedback loop are critical to the success of
any DevOps organization.

Capital One Engineers from our DevOps team developed Hygieia keeping in mind the need for such a tool since none is available commercially out of the box in ready to use the state as well as ease of use.
For the past two years, we’ve looked for DevOps visualization tools in the commercial market as well as in the Open Source community


* There are some excellent commercial ALM tools that allow one to visualize traceability between stories, code, tests and builds, however, they do not cross over from build to deployment</li>

* There are some good commercial Operations tools that provide visibility into server and application run time health, metrics, analytics etc. however they do not provide visibility into the development and build activities</li>

* Open source tools/frameworks such as Grafana provide generic framework to build a dashboard, however, collecting data from the numerous DevOps tools is still the challenge.</li>

### ScreenShots
#### Team Level Dashboard
![Image](/media/images/hygiea-screenshot.jpg)

#### "Product" or "Program" Level Dashboard (Hygieia 2.0 feature)
![Image](/media/images/hygieia-product-dashboard.png)

### Contributors :
We welcome Your interest in Capital One’s Open Source Projects (the “Project”). Any Contributor to the Project must accept and sign an Agreement indicating agreement to the license terms below.Except for the license granted in this Agreement to Capital One and to recipients of software distributed by Capital One, You reserve all right, title, and interest in and to Your Contributions; this Agreement does not impact Your rights to use Your own Contributions for any other purpose

##### [Link to Agreement] (https://docs.google.com/forms/d/19LpBBjykHPox18vrZvBbZUcK6gQTj7qv1O5hCduAZFU/viewform)

This project adheres to the [Open Code of Conduct][code-of-conduct]. By participating, you are expected to honor this code.

[code-of-conduct]: http://www.capitalone.io/codeofconduct/


### How to Start
[Setup Instructions](Setup.md)

### Overview

![Image](/media/images/overview/1.png)

![Image](/media/images/overview/2.png)

![Image](/media/images/overview/3.png)

![Image](/media/images/overview/4.png)

![Image](/media/images/overview/5.png)

![Image](/media/images/overview/6.png)

![Image](/media/images/overview/8.png)

![Image](/media/images/overview/9.png)

### What's new in Hygieia℠ 2.0:
[Read about Hygieia 2.0](Hygieia2.md)

